<!DOCTYPE HTML>
<!--
  Dopetrope by HTML5 UP
  html5up.net | @n33co
  Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
  -->
<html>
  <head>
    <title>Privacy Proxy</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <!--[if lte IE 8]><script src="assets/js/ie/html5shiv.js"></script><![endif]-->
    <link rel="stylesheet" href="assets/css/main.css" />
    <!--[if lte IE 8]>
    <link rel="stylesheet" href="assets/css/ie8.css" />
    <![endif]-->
    <!-- Scripts -->
    <script src="assets/js/jquery.min.js"></script>
    <script src="assets/js/jquery.dropotron.min.js"></script>
    <script src="assets/js/skel.min.js"></script>
    <script src="assets/js/skel-viewport.min.js"></script>
    <script src="assets/js/util.js"></script>
    <!--[if lte IE 8]><script src="assets/js/ie/respond.min.js"></script><![endif]-->
    <script src="assets/js/main.js"></script>
  </head>
  <body class="homepage">
    <div id="page-wrapper">
      <!-- Header -->
      <div id="header-wrapper">
        <div id="header">
          <!-- Logo -->
          <h1><a href="index.html">Privacy Proxy</a></h1>
          <!-- Nav -->
          <nav id="nav">
            <ul>
              <li><a href="index.html">About</a></li>
              <li>
                <a href="setup-install-server.html">Setup</a>
                <ul>
                  <li><a href="setup-install-server.html">Install Server</a></li>
                  <li><a href="setup-conf-devices.html">Configure Devices</a></li>
                  <li><a href="setup-rootca.html">Root CA Certificate</a></li>
                </ul>
              </li>
              <li class="current">
                <a href="info-up.php">Run</a>
                <ul>
                  <li><a href="info-up.php">Up?</a></li>
                  <li><a href="conf-pattern.php">Conf: Search</a></li>
                  <li><a href="info-log-filter.html">Log: Search</a></li>
                  <li><a href="conf-domain.php">Conf: Block</a></li>
                  <li><a href="info-log-blocking.html">Log: Block</a></li>
                </ul>
              </li>
            </ul>
          </nav>
        </div>
      </div>
      <!-- Main -->
      <div id="main-wrapper">
        <div class="container">
          <!-- Content -->
          <article class="box post">
            <!--a href="#" class="image featured"><img src="images/pic01.jpg" alt="" /></a -->
            <header>
              <h2>Log file of blocked Requests</h2>
              <p>Go to <i>Configure / Domain Blocking</i> to edit these settings.</p>
            </header>
            <div id="logc">
            </div>
            </br>
            <button id="switchbtn" class="alt">Auto reload is on </button>
            <p>When Auto reload is on, the content of the page will reload every two seconds.</p>
            <script>
              // inspired by: http://jsfiddle.net/5rLw3LoL/
              
              var tailswitch = false;
              var shownIds = new Array();
              
              // add line to log
              function tailappend() {
                $.get("db-read-blocked.php", function(data){
                    data = $.parseJSON(data);
                       for(i = 0; i < data.length; i++){
                         if($.inArray(data[i]["id"], shownIds) == -1){
                            $("#logc").prepend("<p class='p" + i % 2 + "'><strong>" + data[i]["host"] + "</strong> [" + data[i]["created"] + "] " + data[i]["source"] + "  (Request ID: " + data[i]["id"] + ")</p>");
                            shownIds.push(data[i]["id"]);
                         }
                       }
                });
              }
              
              // tail effect
              function tailScroll() {
                  var height = $("#logc").get(0).scrollHeight;
                  $("#logc").animate({
                      scrollTop: height
                  }, 500);
              }
              
              // auto update
              var t = setInterval(tailappend, 2000);
              
              // toggle updates button click
              $("button").click(function (e) {
                  e.preventDefault();
                  switch (tailswitch) {
                      case false:
                          clearInterval(t); // turns off auto update
                          tailswitch = true;
              						$("#switchbtn").attr("class", "").text("Auto reload is off");
                          break;
                      case true:
                          t = setInterval(tailappend, 2000); // restarts auto update
                          tailswitch = false;
              						$("#switchbtn").attr("class", "alt").text("Auto reload is on ");
                          break;
                  }
              });
              
              
            $(document).ready(function(){ tailappend(); }); 
              								
            </script>
            <section>
              <header>
              </header>
              <p>
              </p>
            </section>
          </article>
        </div>
      </div>
      <!-- Footer -->
      <div id="footer-wrapper">
        <section id="footer" class="container">
          <div class="row">
            <div class="12u">
              <!-- Copyright -->
              <div id="copyright">
                <ul class="links">
                  <li>&copy; Lukas Haselauer 2015-2016.</li>
                  <li>&copy; Design: <a href="http://html5up.net">HTML5 UP</a> <a href="https://creativecommons.org/licenses/by/3.0/">(CC Attribution 3.0 License)</a></li>
                  <li>&copy; Images: All Images on this project are Public Domain (CC0)</a></li>
                </ul>
              </div>
            </div>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
